List customer funding sources - Dwolla Developer Portal

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

GET

https://api.dwolla.comhttps://api-sandbox.dwolla.com

/customers/{id}/funding-sources

cURL

GET https://api-sandbox.dwolla.com/customers/5b29279d-6359-4c87-a318-e09095532733/funding-sources
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY

Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node

var customerUrl =
  "https://api-sandbox.dwolla.com/customers/5b29279d-6359-4c87-a318-e09095532733";

dwolla
  .get(`${customerUrl}/funding-sources`)
  .then((res) => res.body._embedded["funding-sources"][0].name); // => 'Jane Doe's Checking'

Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python

customer_url = 'https://api-sandbox.dwolla.com/customers/5b29279d-6359-4c87-a318-e09095532733'

funding_sources = app_token.get('%s/funding-sources' % customer_url)
funding_sources.body['_embedded']['funding-sources'][0]['name'] # => 'Jane Doe's Checking'

Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php

$customerUrl = 'https://api-sandbox.dwolla.com/customers/5b29279d-6359-4c87-a318-e09095532733';

$fsApi = new DwollaSwagger\FundingsourcesApi($apiClient);

$fundingSources = $fsApi->getCustomerFundingSources($customerUrl);
$fundingSources->_embedded->{'funding-sources'}[0]->name; # => "Jane Doe's Checking"

Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby

customer_url = 'https://api-sandbox.dwolla.com/customers/5b29279d-6359-4c87-a318-e09095532733'

funding_sources = app_token.get "#{customer_url}/funding-sources"
funding_sources._embedded['funding-sources'][0].name # => "Jane Doe's Checking"

API Responses

200

{
  "_links": {},
  "_embedded": {
    "funding-sources": [
      {
        "_links": {},
        "id": "d3d6b41e-5567-4bc6-9c6e-0efd0a3e647e",
        "status": "unverified",
        "type": "bank",
        "bankAccountType": "checking",
        "name": "My bank",
        "created": "2022-07-23T00:18:21.419Z",
        "removed": true,
        "channels": [
          "ach"
        ],
        "bankName": "SANDBOX TEST BANK",
        "fingerprint": "5012989b55af15400e8102f95d2ec5e7ce3aef45c01613280d80a236dd8d6c",
        "bankUsageType": "card-network",
        "cardDetails": {
          "brand": "Visa",
          "lastFour": "1234",
          "expirationMonth": 12,
          "expirationYear": 2026,
          "nameOnCard": "John Doe",
          "bin": "40247644",
          "billingAddress": {
            "address1": "552 test",
            "address2": "Apt 4B",
            "address3": "Unit 101",
            "city": "Des Moines",
            "stateProvinceRegion": "IA",
            "country": "US",
            "postalCode": "50310"
          }
        }
      }
    ]
  },
  "total": 3
}

403

{
  "code": "forbidden",
  "message": "Not authorized to list funding sources."
}

404

{
  "code": "notFound",
  "message": "Customer not found."
}

Authorizations

Authorization string header required The access token received from the authorization server in the OAuth 2.0 flow.

Headers

Accept: application/vnd.dwolla.v1.hal+json

Available options:

application/vnd.dwolla.v1.hal+json

Path Parameters

id: required Customer's unique identifier

Query Parameters

removed: string Filter removed funding sources. Boolean value. Defaults to true

Response

200 application/vnd.dwolla.v1.hal+json successful operation